[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpPause

Wait for a signal to arrive

## Declaration

Source position: bunxh.inc line 43

`function FpPause: cint;`

## Description

FpPause puts the process to sleep and waits until the application receives a signal. If a signal handler is installed for the received signal, the handler will be called and after that pause will return control to the process.

For an example, see fpAlarm.